com.r3corda.protocols / RatesFixProtocol / QueryRequest

# QueryRequest

`class QueryRequest : AbstractRequestMessage`

### Constructors

<init> | `QueryRequest(queries: List<FixOf>, replyTo: Party, sessionID: Long, deadline: Instant)`

### Properties

deadline | `val deadline: Instant`
queries | `val queries: List<FixOf>`
sessionID | `val sessionID: Long`

### Inherited Properties

replyToParty | `val replyToParty: Party`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`